Site news

Moodle tips

Moodle tips

by Becky Myers -
Number of replies: 0

Moodle minimum browser requirements are: Firefox 4, Internet Explorer 10, Safari 5, Google Chrome 11, Opera 9

We find that there seems to be LESS browser support requests from users with Firefox or Google Chrome.

In addition making sure the browser and its plugins such as Flash are up to-date always helps with browsing content.